Subject: Re: Nit in section 2.1.1 of httpbis-p1

From: Mark Nottingham <[email-masked]>
Date: Wed, 8 Apr 2009 16:08:41 +1000

Now #157 (editorial);
   http://trac.tools.ietf.org/wg/httpbis/trac/ticket/157

Thanks.

On 27/03/2009, at 3:48 AM, Barry Leiba wrote:

> As I said on the mic in SF:
> Section 2.1.1 of part 1 is a bit too waffly about IP addresses, and
> what it wants to say is already covered in the meaning of SHOULD
> anyway.  So:
>
> OLD
> The use of IP addresses in URLs SHOULD be avoided whenever possible
> (see [RFC1900]).
>
> NEW
> IP addresses SHOULD NOT be used in URLs (see [RFC1900]).
>
> Technically, these say the same thing, so it's not a substantive
> change.  But the second is in the active voice, and doesn't use the
> waffly "whenever possible" phrase.
>
> Barry
>

--
Mark Nottingham     http://www.mnot.net/

---

From: David Morris <[email-masked]>
Date: Tue, 7 Apr 2009 23:24:28 -0700 (PDT)

>> waffly "whenever possible" phrase.

Considering the use of IP addresses by legitimate web sites I observe on a 
daily basis, the OLD wording really is more relaxed and consistent with 
real world practice than the proposed replacement. I suspect that it is
related to some form of load balancing and sticking to the assigned 
server. Or it might have to do with use of a facility such as Amazon Web 
Services where making IPs persist across restarts costs money and is more 
difficult than simply using the known current assigned public IP in the 
redirect or base tag for subsequent pages. I prefer the OLD form.

David Morris

---

From: "Brian Smith" <[email-masked]>
Date: Wed, 8 Apr 2009 09:08:37 -0500

> Considering the use of IP addresses by legitimate web sites I observe
> on a daily basis, the OLD wording really is more relaxed and
> consistent with real world practice than the proposed replacement.
> I suspect that it is related to some form of load balancing and
> sticking to the assigned server. Or it might have to do with use
> of a facility such as Amazon Web Services where making IPs persist
> across restarts costs money and is more difficult than simply
> using the known current assigned public IP in the redirect or base
> tag for subsequent pages. I prefer the OLD form.

Let's just remove the advice completely. It doesn't add any value and if it
did it would belong in (an update of) RFC 3986, not in HTTP. There is
nothing HTTP-specific about the badness of IP addresses in URIs.

- Brian

---

From: Mark Baker <[email-masked]>
Date: Wed, 8 Apr 2009 10:28:31 -0400

> nothing HTTP-specific about the badness of IP addresses in URIs.

+1

Mark.

---

From: David Morris <[email-masked]>
Date: Wed, 8 Apr 2009 13:58:10 -0700 (PDT)

> nothing HTTP-specific about the badness of IP addresses in URIs.

That alternative is fine with me.